function MakePlots(Theta,ThetaHat,aEst,bEst,sigEst)
%
% MakePlots(Theta,ThetaHat,a,b,sig)
%
% Makes regression plots given true EFs (Theta), estimated EFs (ThetaHat),
% and estimated linear model parameters (a,b,sig) which are vectors of
% dimension 1 x numMod. 
%

numMod = length(aEst);


for i=1:numMod,
  subplot(1,numMod,i);
  plot(Theta,ThetaHat(:,i),'k.');
  axis('square');
  xlabel('True Ejection Fraction');
  ylabel('Measured Ejection Fraction');
  hold on;
  v = axis;
  x = linspace(v(1),v(2),10);
  y1 = aEst(i)*x + bEst(i);
  y2 = aEst(i)*x + bEst(i) + sigEst(i);
  y3 = aEst(i)*x + bEst(i) - sigEst(i);
  hndl=plot(x,y1,'r');
  set(hndl,'LineWidth',2);
  plot(x,y2,'r--');
  plot(x,y3,'r--');
%  title([num2str(aEst(i),3),'/',num2str(a(i),3),'  ',...
%        num2str(bEst(i),3),'/',num2str(b(i),3),'  '...
%        num2str(sigEst(i),3),'/',num2str(sig(i),3)]);
  hold off;
end
