function [val] = betacostfun(params,ThetaHat)
%
%  Has a _varying_ beta assumed distribution
%
%  params = [a's b's sig's nu omega]
%

numObs = size(ThetaHat,1);
numMod = size(ThetaHat,2);

% Sometimes we take the log of zeros so turn warnings off

a          = params(1:numMod);
b          = params(numMod+1:2*numMod);
sig        = params(2*numMod+1:3*numMod);
betaParams = params(3*numMod+1:3*numMod+2);

% The actual cost function evalutated in Estimate_VPbeta.m

vals = zeros(1,numObs);
x = linspace(0,1,1000);
for i = 1:numObs,
  vals = (1/(((2*pi)^(numMod/2))*prod(sig))) * ...
      betapdf(x,betaParams(1),betaParams(2)).*...
      exp(-(x.^2*sum((a.^2)./(2*sig.^2)) + ...
      2*x*sum((a.*b-ThetaHat(i,:).*a)./(2*sig.^2))+...
      sum(((ThetaHat(i,:)-b).^2)./(2*sig.^2))));
  
  P(i) = trapz(x,vals);
end
val = -sum(log(P));

